Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class AbstractUndoableCommand

    java.lang.Object
      org.apache.batik.apps.svgbrowser.AbstractUndoableCommand

All Implemented Interfaces:
  UndoableCommand

Direct Known Subclasses:
  AbstractCompoundCommand, HistoryBrowserInterface.AppendChildCommand, HistoryBrowserInterface.AttributeAddedCommand, HistoryBrowserInterface.AttributeModifiedCommand, HistoryBrowserInterface.AttributeRemovedCommand, HistoryBrowserInterface.ChangeNodeValueCommand, HistoryBrowserInterface.CharDataModifiedCommand, HistoryBrowserInterface.InsertNodeBeforeCommand, HistoryBrowserInterface.NodeInsertedCommand, HistoryBrowserInterface.NodeRemovedCommand, HistoryBrowserInterface.RemoveChildCommand, HistoryBrowserInterface.ReplaceChildCommand

    public abstract class AbstractUndoableCommand

extends Object
implements UndoableCommand

Represents abstract undoable/redoable command. Concrete commands should extend this class

Field Summary
`protected String` | `name` The command name.

Constructor Summary
`AbstractUndoableCommand()`

Method Summary
`void` | `execute()` Executes this command.
`String` | `getName()` Gets the command name.
`void` | `redo()` Performs redo for this command.
`void` | `setName(String name)` Sets the command name.
`boolean` | `shouldExecute()` Tests if the command can be executed.
`void` | `undo()` Performs undo for this command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

  The command name.

Constructor Detail

### AbstractUndoableCommand

    public AbstractUndoableCommand()

Method Detail

### execute

    public void execute()

  Description copied from interface: `UndoableCommand`
  Executes this command.

  Specified by:
    `execute` in interface `UndoableCommand`

### undo

    public void undo()

  Description copied from interface: `UndoableCommand`
  Performs undo for this command.

  Specified by:
    `undo` in interface `UndoableCommand`

### redo

    public void redo()

  Description copied from interface: `UndoableCommand`
  Performs redo for this command.

  Specified by:
    `redo` in interface `UndoableCommand`

### getName

    public String getName()

  Description copied from interface: `UndoableCommand`
  Gets the command name.

  Specified by:
    `getName` in interface `UndoableCommand`

### setName

    public void setName(String name)

  Sets the command name.

  Parameters:
    `name` - Name to set

### shouldExecute

    public boolean shouldExecute()

  Description copied from interface: `UndoableCommand`
  Tests if the command can be executed.

  Specified by:
    `shouldExecute` in interface `UndoableCommand`
  Returns:
    True if command should be executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.